## file 3.19-5

=== Makefile ===
# Makefile for file(1) cmd. 
# Copyright (c) Ian F. Darwin 86/09/01 - see LEGAL.NOTICE.
# @(#)$Id: Makefile,v 1.49 1995/10/27 23:12:33 christos Exp $
#
# This software is not subject to any license of the American Telephone
# and Telegraph Company or of the Regents of the University of California.
#
# Permission is granted to anyone to use this software for any purpose on
# any computer system, and to alter it and redistribute it freely, subject
# to the following restrictions:
#
# 1. The author is not responsible for the consequences of use of this
#    software, no matter how awful, even if they arise from flaws in it.
#
# 2. The origin of this software must not be misrepresented, either by
#    explicit claim or by omission.  Since few users ever read sources,
#    credits must appear in the documentation.
#
# 3. Altered versions must be plainly marked as such, and must not be
#    misrepresented as being the original software.  Since few users
#    ever read sources, credits must appear in the documentation.
#
# 4. This notice may not be removed or altered.
VERSION	= 3.19
SHELL	= /bin/sh
#MAGIC	= /etc/magic
MAGIC	= /usr/local/etc/magic
DEFS	= -DMAGIC='"$(MAGIC)"' # -Dvoid=int
CC	= cc
COPTS	= -O -g		# newer compilers allow both; else drop -O
# For truly antique environments, use this for (dummy) include files:
COPTS	= -O # -Ilocalinc
CFLAGS	= $(COPTS) $(DEFS)
LDFLAGS	= $(COPTS) # -Bstatic	# older gdb couldn't handle shared libs
SHAR	= bundle
OFILE	= /usr/bin/file		# old or distributed version, for comparison
# Where new binary lives; typically /usr/local (BSD), /usr/lbin (USG).
BINDIR	= /usr/local/bin
# For installing our man pages; 
# MANCxxx is manual section for Commands, MANFxxx is section for file formats.
# MANxDIR is directory names; MANxEXT is the filename extention. Usual values:
# Variable	V7		4BSD		Sys V
# MANCDIR 	/usr/man/man1	/usr/man/man1	/usr/man/u_man/man1
# MANFDIR 	/usr/man/man5	/usr/man/man5	/usr/man/u_man/man4
# MANCEXT	1		1		1
# MANFEXT	5		5		4
# --- possible alternative for 4BSD ---
# MANCDIR			/usr/local/man/man1
# MANCEXT			1
# or
# MANCDIR			/usr/man/manl
# MANCEXT			l
# --- possible alternative for USG ---
# MANCDIR			/usr/man/local/man1
# MANCEXT			1

MANCDIR	= /usr/local/man/man1
MANCEXT	= 1
MANFDIR	= /usr/local/man/man4
MANFEXT	= 4

# There are no system-dependant configuration options (except maybe CFLAGS).
# Uncomment any of these that is missing from your "standard" library.
LOCALSRCS = # localsrc/getopt.c localsrc/strtol.c \
#		localsrc/strtok.c localsrc/strchr.c
LOCALOBJS = # localsrc/getopt.o localsrc/strtol.o \
#		localsrc/strtok.o localsrc/strchr.o
# These are not compiled in unless you use -Ilocalinc, but
# are not commented out as "make dist" &c use them.
LOCALINC = # localinc/*.h localinc/sys/*.h

SRCS = file.c apprentice.c fsmagic.c softmagic.c ascmagic.c \
	compress.c is_tar.c \
	print.c $(LOCALSRCS) $(LOCALINC)
OBJS = file.o apprentice.o fsmagic.o softmagic.o ascmagic.o \
	compress.o is_tar.o \
	print.o $(LOCALOBJS)

ALLSRC = LEGAL.NOTICE README MAINT PORTING $(SRCS) *.h \
	 Makefile file.man magic.man 
ALLMAGIC =   Magdir/Makefile Magdir/Localstuff Magdir/Header Magdir/[a-z]*

all:		file magic file.${MANCEXT} magic.${MANFEXT}

TESTFILES = * tst/*
try:		all $(OFILE)
		cd tst; $(MAKE)
		time $(OFILE) $(TESTFILES) >/tmp/t1 # can't use ./magic
		time ./file -m ./magic $(TESTFILES) >/tmp/t2
		-diff -b /tmp/t[12]
		what ./file >lastnocore

file:		$(OBJS)
		$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS) -o $@
lint:		$(SRCS)
		lint -ha $(DEFS) $(SRCS) | tee $@
magic:		Magdir
#		Magdir/Makefile's "install" mv's magic to here for testing.
		cd Magdir; $(MAKE) install

ascmagic.o:	names.h

compress.o apprentice.o ascmagic.o file.o fsmagic.o print.o softmagic.o: file.h

install:	file magic
		cp file	$(BINDIR)/file
		cp magic $(MAGIC)

install.man: file.${MANCEXT} magic.${MANFEXT}
		cp file.${MANCEXT} $(MANCDIR)/file.$(MANCEXT)
		cp magic.${MANFEXT} $(MANFDIR)/magic.$(MANFEXT)

clean:
		rm -f *.o core file magic lint dist.* MANIFEST \
		      magic.${MANFEXT} file.${MANCEXT}
clobber:
		cd tst; $(MAKE) clean


magic.${MANFEXT} :	Makefile magic.man
		@rm -f $@
		sed -e s@__CSECTION__@${MANCEXT}@g \
		    -e s@__FSECTION__@${MANFEXT}@g \
		    -e s@__MAGIC__@${MAGIC}@g magic.man > $@

file.${MANCEXT} :	Makefile file.man
		@rm -f $@
		sed -e s@__CSECTION__@${MANCEXT}@g \
		    -e s@__FSECTION__@${MANFEXT}@g \
		    -e s@__MAGIC__@${MAGIC}@g file.man > $@

send:		dist
		ftp ftp.cs

dist:		dist.src dist.magic
		@echo Now check this patchlevel!
		ident patchlevel.h

dist.src:	$(ALLSRC) MANIFEST
#		Some versions of shar can't handle a single file from
#		a subdirectory, so we manually insert mkdir as needed.
#		The point is to exclude all the generable targets in tst.
		(echo mkdir localinc localinc/sys localsrc tst; \
			$(SHAR) $(ALLSRC) MANIFEST) > $@

rcsdiff:	$(ALLSRC)
		rcsdiff -q RCS/*

MANIFEST:	$(ALLSRC)
		ident $(ALLSRC) > MANIFEST
dist.magic:	Magdir
#		As above, but to exclude Magdir/RCS from being shipped.
		(echo mkdir Magdir; $(SHAR) $(ALLMAGIC)) >$@

tar:		$(ALLSRC) $(ALLMAGIC)
		-rm -fr file-${VERSION}
		-mkdir file-${VERSION} file-${VERSION}/Magdir
		ln $(ALLSRC) file-${VERSION}
		ln ${ALLMAGIC} file-${VERSION}/Magdir
		tar cvf file-${VERSION}.tar file-${VERSION}
		-rm -fr file-${VERSION}

## file 3.20.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for file(1) cmd. 
 # Copyright (c) Ian F. Darwin 86/09/01 - see LEGAL.NOTICE.
-# @(#)$Id: Makefile,v 1.49 1995/10/27 23:12:33 christos Exp $
+# @(#)$Id: Makefile,v 1.51 1996/06/22 22:05:07 christos Exp $
 #
 # This software is not subject to any license of the American Telephone
 # and Telegraph Company or of the Regents of the University of California.
@@ -21,21 +21,30 @@
 #    ever read sources, credits must appear in the documentation.
 #
 # 4. This notice may not be removed or altered.
-VERSION	= 3.19
+
+# Optimized for Linux because sunsite.unc.edu, tsx-11.mit.edu,
+# ftp.redhat.com, ftp.funet.fi, and other Linux sites never get
+# a copy uploaded to them. Most still had 3.15 + a patch at the
+# time of this hack.  --  Albert Cahalan <acahalan@cs.uml.edu>
+
+# Was 3.20, number changed as requested.
+VERSION	= 3.20.1
 SHELL	= /bin/sh
-#MAGIC	= /etc/magic
-MAGIC	= /usr/local/etc/magic
+MAGIC	= /etc/magic
+#MAGIC	= /usr/local/etc/magic
+
 DEFS	= -DMAGIC='"$(MAGIC)"' # -Dvoid=int
-CC	= cc
-COPTS	= -O -g		# newer compilers allow both; else drop -O
-# For truly antique environments, use this for (dummy) include files:
-COPTS	= -O # -Ilocalinc
+CC	= gcc
+COPTS	= -s -O2 -fno-strength-reduce -fomit-frame-pointer
 CFLAGS	= $(COPTS) $(DEFS)
 LDFLAGS	= $(COPTS) # -Bstatic	# older gdb couldn't handle shared libs
+
 SHAR	= bundle
 OFILE	= /usr/bin/file		# old or distributed version, for comparison
+
 # Where new binary lives; typically /usr/local (BSD), /usr/lbin (USG).
-BINDIR	= /usr/local/bin
+BINDIR	= /usr/bin
+
 # For installing our man pages; 
 # MANCxxx is manual section for Commands, MANFxxx is section for file formats.
 # MANxDIR is directory names; MANxEXT is the filename extention. Usual values:
@@ -56,8 +65,8 @@
 
 MANCDIR	= /usr/local/man/man1
 MANCEXT	= 1
-MANFDIR	= /usr/local/man/man4
-MANFEXT	= 4
+MANFDIR	= /usr/local/man/man5
+MANFEXT	= 5
 
 # There are no system-dependant configuration options (except maybe CFLAGS).
 # Uncomment any of these that is missing from your "standard" library.
@@ -121,12 +130,14 @@
 		@rm -f $@
 		sed -e s@__CSECTION__@${MANCEXT}@g \
 		    -e s@__FSECTION__@${MANFEXT}@g \
+		    -e s@__VERSION__@${VERSION}@g \
 		    -e s@__MAGIC__@${MAGIC}@g magic.man > $@
 
 file.${MANCEXT} :	Makefile file.man
 		@rm -f $@
 		sed -e s@__CSECTION__@${MANCEXT}@g \
 		    -e s@__FSECTION__@${MANFEXT}@g \
+		    -e s@__VERSION__@${VERSION}@g \
 		    -e s@__MAGIC__@${MAGIC}@g file.man > $@
 
 send:		dist

=== orig/Makefile ===
# Makefile for file(1) cmd. 
# Copyright (c) Ian F. Darwin 86/09/01 - see LEGAL.NOTICE.
# @(#)$Id: Makefile,v 1.51 1996/06/22 22:05:07 christos Exp $
#
# This software is not subject to any license of the American Telephone
# and Telegraph Company or of the Regents of the University of California.
#
# Permission is granted to anyone to use this software for any purpose on
# any computer system, and to alter it and redistribute it freely, subject
# to the following restrictions:
#
# 1. The author is not responsible for the consequences of use of this
#    software, no matter how awful, even if they arise from flaws in it.
#
# 2. The origin of this software must not be misrepresented, either by
#    explicit claim or by omission.  Since few users ever read sources,
#    credits must appear in the documentation.
#
# 3. Altered versions must be plainly marked as such, and must not be
#    misrepresented as being the original software.  Since few users
#    ever read sources, credits must appear in the documentation.
#
# 4. This notice may not be removed or altered.
VERSION	= 3.20
SHELL	= /bin/sh
#MAGIC	= /etc/magic
MAGIC	= /usr/local/etc/magic
DEFS	= -DMAGIC='"$(MAGIC)"' # -Dvoid=int
CC	= cc
COPTS	= -O -g		# newer compilers allow both; else drop -O
# For truly antique environments, use this for (dummy) include files:
COPTS	= -O # -Ilocalinc
CFLAGS	= $(COPTS) $(DEFS)
LDFLAGS	= $(COPTS) # -Bstatic	# older gdb couldn't handle shared libs
SHAR	= bundle
OFILE	= /usr/bin/file		# old or distributed version, for comparison
# Where new binary lives; typically /usr/local (BSD), /usr/lbin (USG).
BINDIR	= /usr/local/bin
# For installing our man pages; 
# MANCxxx is manual section for Commands, MANFxxx is section for file formats.
# MANxDIR is directory names; MANxEXT is the filename extention. Usual values:
# Variable	V7		4BSD		Sys V
# MANCDIR 	/usr/man/man1	/usr/man/man1	/usr/man/u_man/man1
# MANFDIR 	/usr/man/man5	/usr/man/man5	/usr/man/u_man/man4
# MANCEXT	1		1		1
# MANFEXT	5		5		4
# --- possible alternative for 4BSD ---
# MANCDIR			/usr/local/man/man1
# MANCEXT			1
# or
# MANCDIR			/usr/man/manl
# MANCEXT			l
# --- possible alternative for USG ---
# MANCDIR			/usr/man/local/man1
# MANCEXT			1

MANCDIR	= /usr/local/man/man1
MANCEXT	= 1
MANFDIR	= /usr/local/man/man4
MANFEXT	= 4

# There are no system-dependant configuration options (except maybe CFLAGS).
# Uncomment any of these that is missing from your "standard" library.
LOCALSRCS = # localsrc/getopt.c localsrc/strtol.c \
#		localsrc/strtok.c localsrc/strchr.c
LOCALOBJS = # localsrc/getopt.o localsrc/strtol.o \
#		localsrc/strtok.o localsrc/strchr.o
# These are not compiled in unless you use -Ilocalinc, but
# are not commented out as "make dist" &c use them.
LOCALINC = # localinc/*.h localinc/sys/*.h

SRCS = file.c apprentice.c fsmagic.c softmagic.c ascmagic.c \
	compress.c is_tar.c \
	print.c $(LOCALSRCS) $(LOCALINC)
OBJS = file.o apprentice.o fsmagic.o softmagic.o ascmagic.o \
	compress.o is_tar.o \
	print.o $(LOCALOBJS)

ALLSRC = LEGAL.NOTICE README MAINT PORTING $(SRCS) *.h \
	 Makefile file.man magic.man 
ALLMAGIC =   Magdir/Makefile Magdir/Localstuff Magdir/Header Magdir/[a-z]*

all:		file magic file.${MANCEXT} magic.${MANFEXT}

TESTFILES = * tst/*
try:		all $(OFILE)
		cd tst; $(MAKE)
		time $(OFILE) $(TESTFILES) >/tmp/t1 # can't use ./magic
		time ./file -m ./magic $(TESTFILES) >/tmp/t2
		-diff -b /tmp/t[12]
		what ./file >lastnocore

file:		$(OBJS)
		$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS) -o $@
lint:		$(SRCS)
		lint -ha $(DEFS) $(SRCS) | tee $@
magic:		Magdir
#		Magdir/Makefile's "install" mv's magic to here for testing.
		cd Magdir; $(MAKE) install

ascmagic.o:	names.h

compress.o apprentice.o ascmagic.o file.o fsmagic.o print.o softmagic.o: file.h

install:	file magic
		cp file	$(BINDIR)/file
		cp magic $(MAGIC)

install.man: file.${MANCEXT} magic.${MANFEXT}
		cp file.${MANCEXT} $(MANCDIR)/file.$(MANCEXT)
		cp magic.${MANFEXT} $(MANFDIR)/magic.$(MANFEXT)

clean:
		rm -f *.o core file magic lint dist.* MANIFEST \
		      magic.${MANFEXT} file.${MANCEXT}
clobber:
		cd tst; $(MAKE) clean


magic.${MANFEXT} :	Makefile magic.man
		@rm -f $@
		sed -e s@__CSECTION__@${MANCEXT}@g \
		    -e s@__FSECTION__@${MANFEXT}@g \
		    -e s@__VERSION__@${VERSION}@g \
		    -e s@__MAGIC__@${MAGIC}@g magic.man > $@

file.${MANCEXT} :	Makefile file.man
		@rm -f $@
		sed -e s@__CSECTION__@${MANCEXT}@g \
		    -e s@__FSECTION__@${MANFEXT}@g \
		    -e s@__VERSION__@${VERSION}@g \
		    -e s@__MAGIC__@${MAGIC}@g file.man > $@

send:		dist
		ftp ftp.cs

dist:		dist.src dist.magic
		@echo Now check this patchlevel!
		ident patchlevel.h

dist.src:	$(ALLSRC) MANIFEST
#		Some versions of shar can't handle a single file from
#		a subdirectory, so we manually insert mkdir as needed.
#		The point is to exclude all the generable targets in tst.
		(echo mkdir localinc localinc/sys localsrc tst; \
			$(SHAR) $(ALLSRC) MANIFEST) > $@

rcsdiff:	$(ALLSRC)
		rcsdiff -q RCS/*

MANIFEST:	$(ALLSRC)
		ident $(ALLSRC) > MANIFEST
dist.magic:	Magdir
#		As above, but to exclude Magdir/RCS from being shipped.
		(echo mkdir Magdir; $(SHAR) $(ALLMAGIC)) >$@

tar:		$(ALLSRC) $(ALLMAGIC)
		-rm -fr file-${VERSION}
		-mkdir file-${VERSION} file-${VERSION}/Magdir
		ln $(ALLSRC) file-${VERSION}
		ln ${ALLMAGIC} file-${VERSION}/Magdir
		tar cvf file-${VERSION}.tar file-${VERSION}
		-rm -fr file-${VERSION}

## file 4.12-2osso

=== debian/changelog ===
file (4.12-2osso) unstable; urgency=low

  * Some packages depend on this one ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Sun, 24 Mar 2013 08:13:45 +0100

file (4.12-1osso) unstable; urgency=low

  * don't copy libtool from /usr/bin

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri, 13 Oct 2006 15:31:32 +0300

file (4.12-1) unstable; urgency=high

  * New upstream version. Closes: #283316, a potential stack smash in ELF
    header parsing. Urgency set to high.
  * /etc/magic is read, as it should (Closes: #279324)
  * No further changes to increase the slim chance of getting into Sarge.

 -- Michael Piefel <piefel@debian.org>  Mon, 06 Dec 2004 10:42:47 +0100

file (4.10-3) unstable; urgency=high

  * The “for the love of Branden” release.
  * Urgency high in a vain attempt to get this into sarge.
  * Fix MIME detection for 3DS (actually, remove it because it was hilarious,
    closes: #216368)
  * Do _not_ depend on gcc-3.4

 -- Michael Piefel <piefel@debian.org>  Fri, 30 Jul 2004 11:14:48 +0200

file (4.10-2) unstable; urgency=medium

  * Fix multibyte vs. byte issue in files-from (closes: #261799)

 -- Michael Piefel <piefel@debian.org>  Wed, 28 Jul 2004 11:40:53 +0200

file (4.10-1) unstable; urgency=low

  * New upstream version.
    - No more doubling of file names with -z (closes: #260393)
  * New magic for SLL16 (closes: #249190)
  * New magic for SVN dumps (closes: #256652)
  * Patch for error return code on non-existant files
    (courtesy of Federico Grau, closes: #257805)

 -- Michael Piefel <piefel@debian.org>  Mon, 26 Jul 2004 12:58:40 +0200

file (4.09-1) unstable; urgency=low

  * New upstream version. This includes almost every patch that the Debian
    version had, so this package is very close to upstream's.
  * Disable some more Apple magic (closes: #231476); curiously, most of the
    Apple magic is very weak.
  * Disable very weak Assembler magic (closes: #223328)
  * Disable weak AWK magic (closes: #223282)
  * Added DjVu magic (closes: #238570)
  * Removed erroneous 5th column in magic.mime (closes: #246428)
  * Better error report messages in two places (closes: #243446, #252951)
  * Use /etc/magic again (failed to touch Makefile.in, closes: #231306)

 -- Michael Piefel <piefel@debian.org>  Fri, 11 Jun 2004 14:35:30 +0200

file (4.07-2) unstable; urgency=low

  * Move the "debian-additions" magic file back in; it got lost
  * Move up "compress" in the list to test for gzip before FLI; this
    closes: #228391 - but what happens if I have a real FLI file that
    starts with the two gzip magic bytes?
  * Replace the really bad magic for MP3 in magic.mime with the one found
    in "animation" (closes: #227625)

 -- Michael Piefel <piefel@debian.org>  Tue, 20 Jan 2004 11:57:47 +0100

file (4.07-1) unstable; urgency=low

  * New upstream
  * do not loop endlessly when encountering zero-length section offsets in ELF
    headers (closes: #226289)

 -- Michael Piefel <piefel@debian.org>  Wed, 14 Jan 2004 10:54:32 +0100

file (4.06-2) unstable; urgency=low

  * Unified HTML detection for normal and mime; handles the main complaint of
    #223340, but not all of it.
  * Added Hangul Word Processor File (closes: #219867)
  * Added Outlook personal folder (closes: #183764)
  * Added Mobipocket e-book (closes: #222855)
  * Added BIOS ROM dumps (closes: #150880)
  * Added some Doom and Quake (closes: #135671)
  * Added Sun/Cobalt boot ROMs (closes: #216867)
  * Made VMware magic more robust and (hopefully) correct (closes: #219037);
    file used to report nothing at all, due to an empty description string and
    heavy reliance on the subtype (which didn't match)

 -- Michael Piefel <piefel@debian.org>  Fri, 12 Dec 2003 13:25:34 +0100

file (4.06-1) unstable; urgency=low

  * New upstream.
    - Return error for non-existant files (closes: #215801)
    - Adds BitTorrent (closes: #201301)
  * Fix minor AAC typo (closes: #215052)
  * More QuickTime subformats (closes: #198809)
  * Rearrange Flac detection (closes: #213693)
  * Improved CAB detection (closes: #208926, #205431)
  * Added Netscape Bookmarks (closes: #207344)
  * Added DACT (closes: #195882)
  * Added GCC precompiled headers (closes: #204304)
  * Added GEOS (closes: #162852)
  * Added HVQM4 (Still counting, Mark? Closes: #151138)

 -- Michael Piefel <piefel@debian.org>  Fri, 17 Oct 2003 12:40:54 +0200

file (4.04-1) unstable; urgency=low

  * New upstream
  * add MAXPATHLEN to apprentice.c in order to make it build on the
    Hurd (closes: #212215)
  * add TFMX (closes: #151217, as the rest was already there)
  * recognize PO files (closes: #138423)

 -- Michael Piefel <piefel@debian.org>  Tue, 23 Sep 2003 17:06:48 +0200

file (4.03-3) unstable; urgency=low

  * more and better magic:
    - added Python 2.3 byte-compiled
    - corrected magic for HFS+ (closes: #207576)
    - fixed XML magic and added to MIME magic (closes: #186613)
    - added Xbox magic (closes: #183432)
    - remove ", English" from MIME type output (closes: #160415)
    - remove the vain attempts to guess the size of JPEG files as they are
      either wrong or confusing (sort of closes: #74938, #153833, #198053)
    - add Gnumeric magic to both normal and MIME magic; note you still have to
      pass -z to file (closes: #205708, #206756)
    - remove compresse MIME types (related to #170981)
    - add ACE archiver (closes: #178807)
  * add more descriptive message for unreadable files (closes: #203168)
  * rearranges header inclusions so that configuration is the same in all
    compiled files (closes: #208785)
  * fix the long-standing crash-on-compressed bug (closes: #197442, #207458)

 -- Michael Piefel <piefel@debian.org>  Fri, 05 Sep 2003 11:59:54 +0200

file (4.03-2) unstable; urgency=low

  * Compressed Flash (closes: #179640), also for MIME (closes: #186946)
  * Added GPG (closes: #197646) and JFFS2 (closes: #188780);
    accidentally also closes: #203158 (debian-additions not empty anymore)



=== debian/control ===
Source: file
Section: utils
Priority: standard
Maintainer: Michael Piefel <piefel@debian.org>
Build-Depends: debhelper (>= 4), zlib1g-dev, autotools-dev, libtool
Standards-Version: 3.6.1

Package: file
Architecture: any
Depends: libmagic1 (= ${Source-Version}), ${shlibs:Depends}
Description: Determines file type using "magic" numbers
 File tests each argument in an attempt to classify it.  There are three
 sets of tests, performed in this order: filesystem tests, magic number
 tests, and language tests.  The first test that succeeds causes the
 file type to be printed.
 .
 Starting with version 4, the file command is not much more than a wrapper
 around the "magic" library.

Package: libmagic1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Suggests: file
Conflicts: file (<= 4)
Description: File type determination library using "magic" numbers
 This library can be used to classify files according to magic number
 tests. It implements the core functionality of the file command.

Package: libmagic-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: libmagic1 (= ${Source-Version})
Suggests: file
Description: File type determination library (development)
 This library can be used to classify files according to magic number
 tests. It implements the core functionality of the file command.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

# debian/rules that uses debhelper;
# based on rules.multi2, originally written by Joey Hess.
#
# This version is for a multibinary package. It also allows you to build any
# of the binary packages independantly, via binary-<package> targets.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Proper autotools handling as per autotools-dev/README.Debian
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# Initial CFLAGS; HOWMANY is the number of bytes looked at by file
CFLAGS = -DHOWMANY=0x18000

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g
endif
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir

	mv config.sub config.sub.upstream && ln -s /usr/share/misc/config.sub
	mv config.guess config.guess.upstream && ln -s /usr/share/misc/config.guess
	./configure $(CONFFLAGS) --prefix=/usr \
		'--datadir=$${prefix}/share/misc' '--mandir=$${prefix}/share/man' \
		--enable-fsect-man5
	rm config.sub && mv config.sub.upstream config.sub
	rm config.guess && mv config.guess.upstream config.guess
	#mv libtool libtool.upstream && cp /usr/bin/libtool libtool
	make
	#rm libtool && mv libtool.upstream libtool
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp debian/copyright

	-$(MAKE) clean
	-$(MAKE) distclean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#mv libtool libtool.upstream && cp /usr/bin/libtool libtool
	$(MAKE) prefix=`pwd`/debian/tmp/usr install
	#rm libtool && mv libtool.upstream libtool
	install -m644 -p -D magic/magic.local debian/tmp/etc/magic

	install -m644 -D debian/bug.presubj debian/file/usr/share/bug/file/presubj
	install -m644 -D debian/bug.control debian/libmagic1/usr/share/bug/libmagic1/control
	install -m644 -D debian/bug.presubj-lib debian/libmagic1/usr/share/bug/libmagic1/presubj
	install -m644 -D debian/bug.control debian/libmagic-dev/usr/share/bug/libmagic-dev/control
	dh_install --sourcedir=debian/tmp

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	cat debian/copyright-prolog LEGAL.NOTICE > debian/copyright
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs ChangeLog
	dh_installexamples
	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installman
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps -Llibmagic1 -ldebian/libmagic1/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	rm -f debian/copyright

# Build architecture independant packages using the common target.
binary-indep: build install
# (Uncomment this next line if you have such packages.)
#	 $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependent packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary-common binary install

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=2

# Line continuations are performed with \

# This the format for an FTP site:
# Full-site-with-pattern  [Version  [Action]]
ftp://ftp.astron.com/pub/file/file-(.*)\.tar\.gz  debian

## file 5.08

=== debian/changelog ===
file (5.08-1) unstable; urgency=low

  [ Judit Foglszinger ]
  * Merging upstream version 5.08 (Closes: #612742, #619225, #626340).

  [ Daniel Baumann ]
  * Adding patch from Sylvain Rabot <sylvain@abstraction.fr> to add
    detection for shell scripts using /usr/bin/env in their shebang.
  * Removing magic-update-awk.patch, went upstream.
  * Removing magic-update-bash.patch, went upstream.
  * Removing magic-update-reiserfs.patch, went upstream.
  * Removing magic-update-tcsh.patch, went upstream.
  * Removing magic-update-zip.patch, went upstream.
  * Removing magic-update-real.patch, went upstream.
  * Removing magic-update-os2.patch, went upstream.
  * Removing magic-update-digifax.patch, went upstream.
  * Removing magic-update-mono.patch, went upstream.
  * Removing magic-update-pfm.patch, went upstream.
  * Removing magic-update-ocaml.patch, went upstream.
  * Removing magic-update-linuxswap.patch, went upstream.
  * Removing magic-update-linuxext.patch, went upstream.
  * Removing magic-update-llvm.patch, went upstream.
  * Removing magic-update-gimp.patch, went upstream.
  * Removing magic-update-wav.patch, went upstream.
  * Removing magic-update-z-machine.patch, went upstream.
  * Removing magic-update-xwd.patch, went upstream.
  * Removing magic-update-utf.patch, went upstream.
  * Removing magic-update-spectrum.patch, went upstream.
  * Removing magic-update-tgif.patch, went upstream.
  * Removing magic-update-truetype.patch, went upstream.
  * Removing magic-update-7zip.patch, went upstream.
  * Removing magic-update-lzma.patch, went upstream.
  * Removing magic-update-xz.patch, went upstream.
  * Removing magic-update-qemu.patch, went upstream.
  * Removing magic-update-psf2.patch, went upstream.
  * Removing magic-update-dyatic.patch, went upstream.
  * Removing magic-update-bio-rad.patch, went upstream.
  * Removing magic-update-icon.patch, went upstream.
  * Removing magic-add-par2.patch, went upstream.
  * Removing magic-add-pe5.patch, went upstream.
  * Removing magic-add-pdmenu.patch, went upstream.
  * Removing magic-add-powertab.patch, went upstream.
  * Removing magic-add-scummvm.patch, went upstream.
  * Removing magic-add-sgf.patch, went upstream.
  * Removing magic-add-sisu.patch, went upstream.
  * Removing magic-add-snes.patch, went upstream.
  * Removing magic-add-ssh.patch, went upstream.
  * Removing magic-add-ssl.patch, went upstream.
  * Removing magic-add-subversion.patch, went upstream.
  * Removing magic-add-supercollider.patch, went upstream.
  * Removing magic-add-xen.patch, went upstream.
  * Removing magic-add-xcursor.patch, went upstream.
  * Removing magic-add-freemind.patch, went upstream.

  [ Judit Foglszinger ]
  * Removing magic-add-qdbm.patch, went upstream.
  * Removing magic-add-tokyocabinet.patch, went upstream.
  * Removing magic-add-cromfs.patch, went upstream.
  * Removing magic-add-scribus.patch, went upstream.
  * Removing magic-add-selinux.patch, went upstream.
  * Removing magic-add-bzr.patch, went upstream.
  * Removing magic-add-git.patch, went upstream.
  * Removing magic-add-nut.patch, went upstream.
  * Removing magic-add-blcr.patch, went upstream.
  * Removing magic-add-lyx.patch, went upstream.
  * Removing magic-add-bacula.patch, went upstream.
  * Removing magic-add-olympus.patch, went upstream.
  * Removing magic-add-mdmp.patch, went upstream.
  * Removing magic-add-gstreamer.patch, went upstream.
  * Removing magic-add-xfsdump.patch, went upstream.
  * Removing magic-add-delta-iso.patch, went upstream.
  * Removing magic-add-delta-rpm.patch, went upstream.
  * Removing magic-add-avchd.patch, went upstream.
  * Removing magic-add-chiasmus.patch, went upstream.
  * Removing magic-add-hdr.patch, went upstream.
  * Removing magic-add-foveon-x3f.patch, went upstream.
  * Removing magic-add-paint-net.patch, went upstream.
  * Removing magic-add-dact.patch, went upstream.
  * Removing magic-add-datafork.patch, went upstream.
  * Removing magic-add-pdb.patch, went upstream.
  * Removing magic-add-gdsii.patch, went upstream.
  * Removing magic-add-canon.patch, went upstream.
  * Removing magic-add-jfs.patch, went upstream.
  * Removing magic-add-git-index.patch, went upstream.
  * Removing magic-add-erlang.patch, went upstream.
  * Removing magic-add-epub.patch, went upstream.
  * Removing magic-add-shebang.patch, went upstream.
  * Removing manpages-typo.patch, went upstream.
  * Removing manpages-typo2.patch, went upstream.
  * Removing manpages-typo3.patch, went upstream.
  * Removing file-coredump.patch, went upstream.
  * Updating file-localmagic.patch to apply cleanly after upstream
    changes.
  * Updating doc-manpages.patch to apply cleanly after upstream changes.
  * Removing conglomeration.patch, went upstream.
  * Removing file-python.patch, not needed anymore.
  * Removing unused lintian override.
  * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to add
    new magic for BBeB ebooks (Closes: #624585).
  * Refusing to copy patchlevel.h in rules due to it's upstream removal.
  * Modifiing file-make.patch to apply after upstream changes.
  * Updating standards version to 3.9.2.
  * Adding patch from Julian Taylor <jtaylor.debian@googlemail.com> to
    switch from dh_pysupport to dh_python2 (Closes: #637149).

  [ Daniel Baumann ]
  * Updating to debhelper version 8.
  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Switching to source format version 3.0 (quilt).
  * Also removing superfluous pycompat file.
  * Compacting copyright file.
  * Updating years in copyright file.
  * Renumbering remaining patches.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 08 Sep 2011 18:24:15 +0200

file (5.04-6) experimental; urgency=low

  [ Judit Foglszinger ]
  * Fixing incorrect argument in manpage (Closes: #524648).
  * Fixing typo in output for x-icon (Closes: #593488).

  [ Daniel Baumann ]


=== debian/control ===
Source: file
Section: utils
Priority: standard
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Uploaders: Judit Foglszinger <fgrfgr@freenet.de>
Build-Depends:
 debhelper (>= 8), autotools-dev, python (>= 2.6.6-3~),
 python-all-dev (>= 2.6.6-3~), python-all-dbg (>= 2.6.6-3~),
 zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://www.darwinsys.com/file/

Package: file
Section: utils
Priority: standard
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libmagic1 (= ${binary:Version})
Description: Determines file type using "magic" numbers
 File tests each argument in an attempt to classify it. There are three sets of
 tests, performed in this order: filesystem tests, magic number tests, and
 language tests. The first test that succeeds causes the file type to be
 printed.

Package: libmagic1
Section: libs
Priority: standard
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: file (<< 5.04-2)
Suggests: file
Description: File type determination library using "magic" numbers
 This library can be used to classify files according to magic number tests. It
 implements the core functionality of the file command.

Package: libmagic-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: ${misc:Depends}, libmagic1 (= ${binary:Version})
Suggests: file
Description: File type determination library using "magic" numbers (development)
 This library can be used to classify files according to magic number tests. It
 implements the core functionality of the file command.
 .
 This package contains the development files.

Package: python-magic
Section: python
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Provides: ${python:Provides}
Suggests: python-magic-dbg
Description: File type determination library using "magic" numbers (Python bindings)
 This library can be used to classify files according to magic number tests. It
 implements the core functionality of the file command.
 .
 This package contains the Python bindings.

Package: python-magic-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends}, ${shlibs:Depends}, python-magic (= ${binary:Version}),
 python-dbg
Description: File type determination library using "magic" numbers (Python bindings/debug)
 This library can be used to classify files according to magic number tests. It
 implements the core functionality of the file command.
 .
 This package contains the Python bindings, built for the Python debug
 interpreter.

## file 5.09

=== debian/changelog ===
file (5.09-2ubuntu0.8) precise-security; urgency=medium

  [ Marc Deslauriers ]
  * SECURITY UPDATE: buffer overflow via CDF_VECTOR elements
    - debian/patches/CVE-2019-18218.patch: limit the number of elements in
      a vector in src/cdf.*.
    - CVE-2019-18218

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 31 Oct 2019 11:42:33 -0300

file (5.09-2ubuntu0.7) precise-security; urgency=medium

  * SECURITY UPDATE: memory corruption in file_check_mem.
    - debian/patches/CVE-2015-8865.patch: properly calculate length in
      src/funcs.c.
    - CVE-2015-8865
  * SECURITY UPDATE: out-of-bounds read via crafted ELF file
    - debian/patches/CVE-2018-10360.patch: add bounds check to
      src/readelf.c.
    - CVE-2018-10360

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 28 Jun 2018 13:23:50 -0300

file (5.09-2ubuntu0.6) precise-security; urgency=medium

  * SECURITY UPDATE: DoS via insufficient note headers
    - debian/patches/CVE-2014-3710.patch: handle running out of not headers
      in src/readelf.c.
    - CVE-2014-3710
  * SECURITY UPDATE: DoS in ELF parser
    - debian/patches/CVE-2014-8116.patch: limit number of headers and
      capabilities in src/elfclass.h, src/readelf.c.
    - CVE-2014-8116
  * SECURITY UPDATE: DoS via missing recursion limits
    - debian/patches/CVE-2014-8117.patch: lower recursion level and allow
      it to be set from the command line in src/file.{c,h},
      src/file_opts.h, src/funcs.c, src/magic.c, src/magic.h,
      src/softmagic.c, add new option to documentation in
      doc/file.man, doc/libmagic.man.
    - CVE-2014-8117
  * SECURITY UPDATE: DoS via long pascal strings
    - debian/patches/pr398-truncate-pascal-strings.patch: correctly
      calculate size in src/softmagic.c.
    - No CVE number

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 27 Jan 2015 10:10:29 -0500

file (5.09-2ubuntu0.5) precise-security; urgency=medium

  * SECURITY UPDATE: buffer underflow in CDF file identification
    - debian/patches/CVE-2014-3587.patch: modify src/cdf.c to detect and
      abort on buffer underflows.
    - CVE-2014-3587

 -- Seth Arnold <seth.arnold@canonical.com>  Wed, 27 Aug 2014 23:34:57 -0700

file (5.09-2ubuntu0.4) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service via awk rule backtracking
    - debian/patches/CVE-2013-7345.patch: limit to 100 repetitions in
      magic/Magdir/commands.
    - CVE-2013-7345
  * SECURITY UPDATE: denial of service in cdf_read_short_sector
    - debian/patches/CVE-2014-0207.patch: properly calculate sizes in
      src/cdf.c.
    - CVE-2014-0207
  * SECURITY UPDATE: denial of service in mconvert
    - debian/patches/CVE-2014-3478.patch: properly handle truncated pascal
      string size in src/softmagic.c.
    - CVE-2014-3478
  * SECURITY UPDATE: denial of service in cdf_check_stream_offset
    - debian/patches/CVE-2014-3479.patch: properly calculate sizes in
      src/cdf.c.
    - CVE-2014-3479
  * SECURITY UPDATE: denial of service in cdf_count_chain
    - debian/patches/CVE-2014-3480.patch: properly calculate sizes in
      src/cdf.c.
    - CVE-2014-3480
  * SECURITY UPDATE: denial of service in cdf_read_property_info
    - debian/patches/CVE-2014-3487.patch: properly calculate sizes in
      src/cdf.c.
    - CVE-2014-3487
  * SECURITY UPDATE: denial of service via awk rule backtracking
    - debian/patches/CVE-2014-3538.patch: allow specifying lengths for
      regex in src/apprentice.c, src/file.h, src/softmagic.c, adjust
      existing expressions in magic/Magdir/commands, magic/Magdir/fortran,
      magic/Magdir/graphviz, magic/Magdir/marc21, magic/Magdir/scientific,
      magic/Magdir/troff, update manpage in doc/magic.man.
    - CVE-2014-3538

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 10 Jul 2014 12:00:51 -0400

file (5.09-2ubuntu0.3) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted offset in PE executable
    - debian/patches/CVE-2014-2270.patch: check bounds in src/softmagic.c.
    - CVE-2014-2270

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 03 Apr 2014 13:34:02 -0400

file (5.09-2ubuntu0.2) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted CDF file
    - debian/patches/CVE-2012-1571.patch: 
    - CVE-2012-1571
  * SECURITY UPDATE: denial of service via crafted indirect offset value
    - debian/patches/CVE-2013-1943.patch: properly handle recursion in
      src/ascmagic.c, src/file.h, src/funcs.c, src/softmagic.c.
    - CVE-2013-1943

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 26 Feb 2014 10:10:03 -0500

file (5.09-2) unstable; urgency=low

  * Adding build-arch and build-indep to rules.
  * Adding libmagic1 to depends of python-magic (Closes: #646004).

 -- Judit Foglszinger <fgrfgr@freenet.de>  Fri, 21 Oct 2011 17:46:24 +0000

file (5.09-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Removing pre-squeeze conflicts against file in libmagic1.
  * Removing pre-squeeze version from python build-depends.
  * Merging upstream version 5.09.

  [ Judit Foglszinger ]
  * Removing magic-add-lrf.patch, went upstream.
  * Renaming doc-manpages.patch.

 -- Judit Foglszinger <fgrfgr@freenet.de>  Sun, 09 Oct 2011 12:12:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: file
 Section: utils
 Priority: standard
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Uploaders: Judit Foglszinger <fgrfgr@freenet.de>
 Build-Depends:
- debhelper (>= 8), autotools-dev, python (>= 2.6.6-3~),
- python-all-dev (>= 2.6.6-3~), python-all-dbg (>= 2.6.6-3~),
+ debhelper (>= 8), autotools-dev, python, python-all-dev, python-all-dbg,
  zlib1g-dev
 Standards-Version: 3.9.2
 Homepage: http://www.darwinsys.com/file/
@@ -26,7 +26,6 @@
 Priority: standard
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: file (<< 5.04-2)
 Suggests: file
 Description: File type determination library using "magic" numbers
  This library can be used to classify files according to magic number tests. It
@@ -48,7 +47,9 @@
 Section: python
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
+Depends:
+ ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
+ libmagic1 (= ${binary:Version})
 Provides: ${python:Provides}
 Suggests: python-magic-dbg
 Description: File type determination library using "magic" numbers (Python bindings)

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/python/python.mk

DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CROSS= --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) CC=$(DEB_HOST_GNU_TYPE)-gcc LD=$(DEB_HOST_GNU_TYPE)-ld
else
	CROSS= --build=$(DEB_BUILD_GNU_TYPE)
endif

# HOWMANY is the number of bytes looked at by file
CFLAGS += -DHOWMANY=0x18000

PYTHON_VERSIONS=$(shell pyversions -r debian/control)

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f config.guess config.sub

	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf python/build

	dh_clean

config.status: configure
	dh_testdir

ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif

	./configure $(CROSS) --prefix=/usr --datadir=\$${prefix}/share --mandir=\$${prefix}/share/man --enable-fsect-man5 CFLAGS="$(CFLAGS)"

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status
	dh_testdir

	$(MAKE)

	set -e; \
	for python in $(PYTHON_VERSIONS); \
	do \
		(cd python && $$python setup.py build_ext \
			-L$(CURDIR)/src/.libs); \
	done
	set -e; \
	for python in $(PYTHON_VERSIONS); do \
		(cd python && $$python-dbg setup.py build_ext -L$(CURDIR)/src/.libs); \
	done

	touch build-stamp


install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Installing package
	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install
	mv debian/tmp/usr/share/misc debian/tmp/usr/share/file

	install -D -m 0644 magic/magic.local debian/tmp/etc/magic
	install -D -m 0644 magic/magic.local debian/tmp/etc/magic.mime

	set -e; \
	for python in $(PYTHON_VERSIONS); \
	do \
		(cd python && $$python setup.py install --no-compile \
			--root=$(CURDIR)/debian/python-magic $(py_setup_install_args)); \
	done

	set -e; \
	for python in $(PYTHON_VERSIONS); do \
		(cd python && $$python-dbg setup.py install --no-compile \
			--root=$(CURDIR)/debian/python-magic-dbg $(py_setup_install_args)); \
	done
	find debian/python-*-dbg ! -type d ! -name '*.so' | xargs rm -f
	find debian/python-*-dbg -depth -empty -exec rmdir {} \;

	# Installing additional headers
	mkdir -p debian/libmagic-dev/usr/include/file
	cp src/file.h debian/libmagic-dev/usr/include/file

binary: binary-arch

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_bugfiles
	dh_install --sourcedir=debian/tmp
	dh_lintian
	dh_link
	dh_python2
ifeq (,$(findstring -i, $(DH_OPTIONS)))
	dh_strip -Npython-magic -Npython-magic-dbg
	DH_OPTIONS= dh_strip -ppython-magic --dbg-package=python-magic-dbg

	rm -rf debian/python-magic-dbg/usr/share/doc/python-magic-dbg
	mkdir -p debian/python-magic-dbg/usr/share/doc
	ln -s python-magic debian/python-magic-dbg/usr/share/doc/python-magic-dbg
endif
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -Llibmagic1 -ldebian/libmagic1/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: clean build install binary binary-arch binary-indep

## file 5.10

=== debian/changelog ===
file (5.10-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding patch from Eloi Notario <entfe001@gmail.com> to add new magic
    for GNU tar incremental snapshots files (Closes: #608944).
  * Adding multi-arch support, thanks to Riku Voipio
    <riku.voipio@iki.fi> (Closes: #333717, #638314).

  [ Judit Foglszinger ]
  * Removing rpath from usr/bin/file.
  * Merging upstream version 5.10.
  * Removing magic-gnu-tar.patch, went upstream.
  * Changing ./configure string to not compile in rpath and removing
    workaround with chrpath, thanks to Riku Voipio <riku.voipio@iki.fi>.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 07 Feb 2012 15:50:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: file
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Uploaders: Judit Foglszinger <fgrfgr@freenet.de>
 Build-Depends:
- debhelper (>= 8), autotools-dev, python, python-all-dev, python-all-dbg,
- zlib1g-dev
+ debhelper (>= 8.1.3), dpkg-dev (>= 1.16), autotools-dev, python,
+ python-all-dev, python-all-dbg, zlib1g-dev
 Standards-Version: 3.9.2
 Homepage: http://www.darwinsys.com/file/
 
@@ -14,6 +13,7 @@
 Section: utils
 Priority: standard
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}, libmagic1 (= ${binary:Version})
 Description: Determines file type using "magic" numbers
  File tests each argument in an attempt to classify it. There are three sets of
@@ -25,6 +25,8 @@
 Section: libs
 Priority: standard
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: file
 Description: File type determination library using "magic" numbers
@@ -35,6 +37,7 @@
 Section: libdevel
 Priority: optional
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libmagic1 (= ${binary:Version})
 Suggests: file
 Description: File type determination library using "magic" numbers (development)
